Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.doclets
Class CheckDocsDoclet

    java.lang.Object
      com.puppycrawl.tools.checkstyle.doclets.CheckDocsDoclet

    public final class CheckDocsDoclet

extends Object

Doclet which is used to extract Anakia input files from the Javadoc of Check implementations, so the Check's docs are autogenerated.

Author:
  lkuehne

Constructor Summary
`CheckDocsDoclet()`

Method Summary
`static String` | `getDestDir(String[][] aOptions)` Return the destination directory for this Javadoc run.
`static int` | `optionLength(String aOption)` Returns option length (how many parts are in option).
`static boolean` | `start(com.sun.javadoc.RootDoc aRoot)` Doclet entry point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckDocsDoclet

    public CheckDocsDoclet()

Method Detail

### start

    public static boolean start(com.sun.javadoc.RootDoc aRoot)
                         throws IOException

  Doclet entry point.

  Parameters:
    `aRoot` - parsed javadoc of all java files passed to the javadoc task
  Returns:
    true (TODO: semantics of the return value is not clear to me)
  Throws:
    `IOException` - if there are problems writing output

### getDestDir

    public static String getDestDir(String[][] aOptions)

  Return the destination directory for this Javadoc run.

  Parameters:
    `aOptions` - Javadoc commandline options
  Returns:
    the dest dir specified on the command line (or ant task)

### optionLength

    public static int optionLength(String aOption)

  Returns option length (how many parts are in option).

  Parameters:
    `aOption` - option name to process
  Returns:
    option length (how many parts are in option).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD